﻿body {
    background-color: #EEEEEE;
}

.keypadResponseTool-variations {
    display: block;
    width: 100%;
}

.keypadResponseTool-variations > input[type=text] {
    display: block;
    width: 100%;
}

#mtr-toolbar-wrapper {
    line-height: initial !important
}

.footer {
  bottom: 0;
  width: 100%;
  /* Set the fixed height of the footer here */
  height: 60px;
  line-height: 60px; /* Vertically center the text there */
  background-color: #EEEEEE;
}

span.orderNumber {
    width: 100px;
}

.nopadding {
   padding: 0 !important;
   margin: 0 !important;
}

.paddingtop {
    padding-top: 1px;
}

.alignright {
    text-align: right;
}

.aligncenter {
    text-align: center;
}

.hidden {
    display: none;
}

input#toggle {
	max-height: 0;
	max-width: 0;
	opacity: 0;
}

input#toggle + label:hover {
    cursor:pointer;
}

input#toggle + label {
    display: block;
    position: relative;
    box-shadow: inset 0 0 0px 1px #d5d5d5;
    text-indent: -5000px;
    height: 30px;
    width: 50px;
    border-radius: 15px;
}

input#toggle + label:before {
    content: "";
    position: absolute;
    display: block;
    height: 30px;
    width: 30px;
    top: 0;
    left: 0;
    border-radius: 15px;
    background: rgba(19, 191, 17, 0);
    -moz-transition: .25s ease-in-out;
    -webkit-transition: .25s ease-in-out;
    transition: .25s ease-in-out;
}

input#toggle + label:after {
	content: "";
	position: absolute;
	display: block;
	height: 30px;
	width: 30px;
	top: 0;
	left: 0px;
	border-radius: 15px;
	background: white;
	box-shadow: inset 0 0 0 1px rgba(0, 0, 0, .2), 0 2px 4px rgba(0, 0, 0, .2);
	-moz-transition: .25s ease-in-out;
	-webkit-transition: .25s ease-in-out;
	transition: .25s ease-in-out;
}

input#toggle:checked + label:before {
	width: 50px;
	background: rgba(19, 191, 17, 1);
}

input#toggle:checked + label:after {
	left: 20px;
	box-shadow: inset 0 0 0 1px rgba(19, 191, 17, 1), 0 2px 4px rgba(0, 0, 0, .2);
}

.contest-popup-window {
    min-width:900px;
}

.contest-popup {
	background-color: white;
	padding: 0px !important;
}
		
.advanced-toggle {
    float:right;
    position:relative;
    margin-top: 7px;
}

.contest-popup h3 {
    position: absolute;
	margin-top: 10px;
	font-weight:bold;
}

.contest-popup .toggle-wrapper{
	float:right;
}

.advanced-info {
	padding-right:10px;
}

.advanced-info, .toggle-box {
	position:relative;
	float:right;
}

.enable-advanced {
    font-weight: bold;
    font-size: 13px;
	color: #848484;
}

.mtr-recommends {
	font-size: 9.5px;
	color: #b9b9b9;
}

/* Contest - Pick A Winner */
.contest-popup-header{
	border-bottom: 1px solid #eaeaea;
	height: 55px;
	padding: 5px 30px 0px 30px;
}

#contestChart{
    overflow:hidden;
    height:300px;
    width:100%;
}

.contest-popup .options{
    padding: 12px 25px;
    background-color: #f3f3f3;
    height: 80px;
    border-radius: 0px 0px 5px 5px;
}

.contest-popup-buttons-group{
	padding-top: 13px;
}

.entries{
	float:left;
	padding: 0px 30px 0px 10px;
}

.rightEndButtons{
	float:right;
}

.total-entries-title{
	font-size: 16px;
}

.total-entries-value{
	font-size: 41px;
	margin-top: -13px;
	text-align: center;
}

.total-entries-value, .total-entries-title{
    font-weight: bold;
    color: #444444;
}

.pickAWinner {
    margin: 1em 0;
}

.pickAWinner p {
    text-align: center;
}

.pickAWinner p a {
    color: #014c8c;
    text-decoration: underline;
}

.pickAWinner .timestamp {
    color: maroon;
    font-weight: bold;
}

.pickAWinner .contest-popup-buttons-group {
    width: 100%;
    text-align: center;
}

/* Settings */
.keypadResponseTool-settings-row {
    margin-bottom: 1em;
}

/* Campaign */
.keypadResponseTool-infobox-row {
    background-color: #fdfdfd;
    padding: 1em;
    margin-bottom: 1em;
    color: black;
    line-height: 1;
    font-size: 10pt;
}

.keypadResponseTool-infobox-row p {
    margin: 15px 5px;
}

p.keypadResponseTool-infobox-text-header {
    font-weight: bold;
    margin-bottom: 5px;
}

p.keypadResponseTool-infobox-text {
    margin-bottom: 20px;
}

p.keypadResponseTool-infobox-example {
    color: blue;
}

.bonusPointsPerCheckin {
    margin: 3px 0 0 0;
    max-width: 50px;
}

#keypadResponseTool-campaigns {
    margin-bottom: 10px;
}
.btn-template-option {
    background-color:#007cb2;
    color:white;
}
.btn-template-option:hover {
    background-color:#007199;
}
.campaignButtonsContainer {
    text-align: center;
}
.campaignButtonsContainer > button {
    display: inline-block;
    width: 45%;
}
.campaignButtonsContainer > button:first-of-type {
    margin-right: 30px;
}

/* Other */
.show {
    display: block !important;
}

.sweet-alert .form-group .sa-input-error {
    background-color: #ffd5d5;
    color: #af1919;
}

.fixedCenter {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.fixedFill {
    position: fixed;
    height: 100%;
    width: 100%;
}

.fill {
    height: 100%;
    width: 100%;
}

.absoluteFill {
    position: absolute;
    top: 0px;
    left: 0px;
    height: 100%;
    width: 100%;
}

.overlayAll {
    z-index: 9999 !important;
}

.overlayColor {
    background-color:rgba(192,192,192,0.93);
}

.hide-unimplemented {
    display: none;
}